/* This file is part of the KDE project
   Copyright (C) 2002 Simon Hausmann <hausmann@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef CONNECTIONINFO_H
#define CONNECTIONINFO_H

#include "global.h"

namespace IRC
{

class ConnectionInfo : public Person
{
public:
    ConnectionInfo();
    ConnectionInfo( const QString &_nick, const QString &_user,
                    const QString &_realName, const QString &_host,
                    Q_UINT16 _port, const QString &_password );
    ConnectionInfo( const ConnectionInfo &rhs );
    ConnectionInfo &operator=( const ConnectionInfo &rhs );

    void setPort( Q_UINT16 port );
    void setPassword( const QString &password );

    Q_UINT16 port() const;
    QString password() const;

private:
    Q_UINT16 m_port;
    QString m_password;
};

inline void ConnectionInfo::setPort( Q_UINT16 port ) { m_port = port; }
inline void ConnectionInfo::setPassword( const QString &password ) { m_password = password; }
inline Q_UINT16 ConnectionInfo::port() const { return m_port; }
inline QString ConnectionInfo::password() const { return m_password; }

}

#endif // CONNECTIONINFO_H

/* vim: et sw=4
 */
