/* This file is part of the KDE project
   Copyright (C) 2002 Simon Hausmann <hausmann@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <kmainwindow.h>

#include "connectioninfo.h"
#include "singleton.h"

class QVBox;
class QTabWidget;

namespace IRC
{
    class Frontend;
    class Window;
}

class MainWindow : public KMainWindow, public IRC::Singleton<MainWindow, IRC::NullSingletonCreator>
{
    Q_OBJECT
public:
    MainWindow( const IRC::ConnectionInfo &nfo, QWidget *parent = 0, const char *name = 0 );    
    virtual ~MainWindow();

    void addTabView( QWidget *widget );

protected:
    virtual bool eventFilter( QObject *obj, QEvent *ev );

private slots:
    void currentTabChanged( QWidget *tab );

    void connectWindow( IRC::Window *window );

private:
    IRC::Frontend *m_frontend;
    QTabWidget *m_view;
};

#endif // MAINWINDOW_H
/* vim: et sw=4 ts=4
 */
