
#include "userlist.h"

UserList::UserList( QWidget *parent, const char *name )
    : KListBox( parent, name )
{
}

void UserList::updateUser( const IRC::Person &oldUser, const IRC::Person &newUser )
{
    removeUser( oldUser );
    ( void )new QListBoxText( this, newUser.nick() );
    sort();
}

void UserList::removeUser( const IRC::Person &user )
{
    QListBoxItem *item = findItem( user.nick(), ExactMatch );
    delete item;
}

#include "userlist.moc"

/* vim: et sw=4 ts=4
 */
